Bug 352741 - Review Request: tkimg - More Image Formats for Tk
Review Request: tkimg - More Image Formats for Tk
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
Depends On:
Blocks: 352761
  Show dependency treegraph
Reported: 2007-10-25 12:51 EDT by Sergio Pascual
Modified: 2008-07-16 20:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 19:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2007-10-25 12:51:37 EDT
Spec URL: http://sergiopr.fedorapeople.org/tkimg.spec
SRPM URL: http://sergiopr.fedorapeople.org/tkimg-1.3-0.2.20071018svn.src.rpm
This package contains a collection of image format handlers for the Tk
photo image type, and a new image type, pixmaps.
The provided format handlers include bmp, gif, ico, jpeg, pcx, png,
ppm, ps, sgi, sun, tga, tiff, xbm, and xpm.

This package is needed to build SAOImage DS9 (http://hea-www.harvard.edu/RD/ds9/), an astronomical data visualization application
Comment 1 Marek Mahut 2007-10-25 14:18:35 EDT
[-] source files match upstream:
  07afc28f7e1149dad65471f387298052  tkimg-1.3.tar.gz
  964a692db8a120dc5ed8779521a70bc8  tkimg-1.3.tar.gz.upstream

  * I diffed the tree and I see no changes beside owership. Please make sure you
ship the version from sourcefource page.

[+] package meets naming and versioning guidelines.
[+] specfile is properly named and cleanly written.
[-] dist tag is present.
  * Please use dist tag for your release tag.

[+] build root is correct.
      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
[+] license field matches the actual license.
[+] license is open source-compatible. 
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] rpmlint is silent.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] compiler flags are appropriate.
[+] %clean is present.
[+] package builds in mock (rawhide).
[+] package installs properly.

  Please, fix these two errors and provide me with new spec file.
Comment 2 Sergio Pascual 2007-10-28 16:55:39 EDT
The code is taken directly from the subversion repository. Although the last
released tarball is from 2004, the subversion repo has been updated since then.

I have added the dist tag to the specfile:

Spec URL: http://sergiopr.fedorapeople.org/tkimg.spec
SRPM URL: http://sergiopr.fedorapeople.org/tkimg-1.3-0.3.20071018svn.fc7.src.rpm
Comment 3 Marek Mahut 2007-10-29 03:34:22 EDT
Comment 4 Sergio Pascual 2007-10-29 10:20:17 EDT
New Package CVS Request
Package Name: tkimg
Short Description: More Image Formats for Tk
Owners: sergiopr
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Toshio Ernie Kuratomi 2007-10-29 14:13:18 EDT
Hi Sergio, when you make a checkout from upstream's revision control system you
need to follow these guidelines so that other people can duplicate your checkout:

You can make those changes once you've imported the source but please do so
before you build the package.  Thanks!

cvs done.
Comment 6 Sergio Pascual 2007-10-29 19:07:18 EDT
I have done as you say, thank you
Comment 7 Sergio Pascual 2008-07-16 15:36:20 EDT
Package Change Request
Package Name: tkimg
New Branches: EL-5
Comment 8 Kevin Fenzi 2008-07-16 20:09:09 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.